Subject: bug#50865: 28.0.50; Emoji with emoji modifier in Linux console garbles emacs display

From: Gregory Heytings <[email-masked]>
Date: Fri, 02 Sep 2022 13:19:09 +0000

>> I only lightly skimmed this thread, but there's been some work done in 
>> this area (displaying non-displayble characters on the console) over 
>> the last week, and I wonder whether that's fixed this issue, too?
>
> Not really, no.
>

Note that the OP said: "I'm also interested in any (dirty) hacks that 
could be used to work around this issue."  So in that respect at least the 
situation has improved, there is now a documented way to work around the 
issue: using fbterm instead of the raw Linux console.

>
> Bottom line: the Linux console is simply unsuitable for showing 
> multi-lingual text, let alone Emoji sequences, as users expect nowadays.
>

That's correct.  In fact it's not only "the Linux console", that's also 
true for most terminal emulators.